## org.eclipse.amp.amf.testing.formatting
Class ATestFormatter

    java.lang.Object
      org.eclipse.xtext.formatting.impl.AbstractFormatter
          org.eclipse.xtext.formatting.impl.BaseFormatter
              org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
                  org.eclipse.amp.amf.testing.formatting.ATestFormatter

All Implemented Interfaces:
  org.eclipse.xtext.formatting.IFormatter

    public class ATestFormatter

extends org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

This class contains custom formatting description. see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#formatting on how and when to use it Also see `org.eclipse.xtext.xtext.XtextFormattingTokenSerializer` as an example

Constructor Summary
`ATestFormatter()`

Method Summary

Methods inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
`createFormatterStream, setGrammarAccess`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestFormatter

    public ATestFormatter()